Package groovy.time

# Class TimeDatumDependentDuration

java.lang.Object
groovy.time.BaseDuration
groovy.time.DatumDependentDuration
groovy.time.TimeDatumDependentDuration

All Implemented Interfaces:
  `Comparable<BaseDuration>`

@Deprecated public class TimeDatumDependentDuration extends DatumDependentDuration
Deprecated.
Superseded by `org.apache.groovy.dateutil.TimeDatumDependentDuration` (the dequirked `java.util.Date` flavor) or the `java.time` DSL in `org.apache.groovy.datetime.TimeCategory`. This legacy class is retained, unchanged, for backward compatibility.
TimeDatumDuration represents a time period which results from an arithmetic operation between a TimeDuration object and a DatumDuration object

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class groovy.time.BaseDuration

  `BaseDuration.From`

- ## Field Summary

  ### Fields inherited from class groovy.time.BaseDuration

  `days, hours, millis, minutes, months, seconds, years`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`
  Deprecated.
  Creates a mixed time and datum-dependent duration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BaseDuration.From`
  `getFrom()`
  Deprecated.
  Returns a helper for computing dates relative to now.
  `DatumDependentDuration`
  `minus(DatumDependentDuration rhs)`
  Deprecated.
  Subtracts a datum-dependent duration.
  `DatumDependentDuration`
  `minus(Duration rhs)`
  Deprecated.
  Subtracts a fixed duration.
  `DatumDependentDuration`
  `plus(DatumDependentDuration rhs)`
  Deprecated.
  Adds a datum-dependent duration.
  `DatumDependentDuration`
  `plus(Duration rhs)`
  Deprecated.
  Adds a fixed duration.

  ### Methods inherited from class groovy.time.DatumDependentDuration

  `getAgo, getMonths, getYears, plus, plus, toMilliseconds`

  ### Methods inherited from class groovy.time.BaseDuration

  `compareTo, getDays, getHours, getMillis, getMinutes, getSeconds, plus, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TimeDatumDependentDuration

    public TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)
    Deprecated.
    Creates a mixed time and datum-dependent duration.
    Parameters:
      `years` - the year component
      `months` - the month component
      `days` - the day component
      `hours` - the hour component
      `minutes` - the minute component
      `seconds` - the second component
      `millis` - the millisecond component

- ## Method Details

  - ### plus

    public DatumDependentDuration plus(Duration rhs)
    Deprecated.
    Adds a fixed duration.
    Overrides:
      `plus` in class `DatumDependentDuration`
    Parameters:
      `rhs` - the duration to add
    Returns:
      the combined duration

  - ### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)
    Deprecated.
    Adds a datum-dependent duration.
    Overrides:
      `plus` in class `DatumDependentDuration`
    Parameters:
      `rhs` - the duration to add
    Returns:
      the combined duration

  - ### minus

    public DatumDependentDuration minus(Duration rhs)
    Deprecated.
    Subtracts a fixed duration.
    Overrides:
      `minus` in class `DatumDependentDuration`
    Parameters:
      `rhs` - the duration to subtract
    Returns:
      the resulting duration

  - ### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)
    Deprecated.
    Subtracts a datum-dependent duration.
    Overrides:
      `minus` in class `DatumDependentDuration`
    Parameters:
      `rhs` - the duration to subtract
    Returns:
      the resulting duration

  - ### getFrom

    public BaseDuration.From getFrom()
    Deprecated.
    Returns a helper for computing dates relative to now.
    Overrides:
      `getFrom` in class `DatumDependentDuration`
    Returns:
      the relative-date helper